<div id="header">

  <button *ngIf="isUserLoggedIn()" mat-button color="primary" (click)="logoutUser()">Logout</button>

  <button *ngIf="!isUserLoggedIn()" routerLink="/login" mat-button color="primary">Login</button>

  <button *ngIf="isUserLoggedIn()" routerLink="/classes" mat-button color="primary">Classes</button>

  <button *ngIf="isUserLoggedIn()"  mat-button color="primary">Students</button>

  <button *ngIf="isUserLoggedIn()"  routerLink="/teachers" mat-button color="primary">Our Teachers</button>
</div>
